#**$output = shift;

@files = glob("*.txt");

foreach $file (@files) {
    open(INFO, $file);              # Open the file
    @lines = <INFO>;                # Read it into an array
    close(INFO);                    # Close the file
    print $file."\n";

    $writefile = "less_yn_$file";
    open(OUTPUT, ">$writefile");

    $kosher = false;
    $file_size = 0;
    foreach $line (@lines) {

	#load fs
	if ($line =~ /srcsent\:/) {
	    if ($line !~ /[Ss][Qq][Uu][Ii][Bb]/) {
		if ($line =~ /[a-zA-Z]/) {
		    $kosher = "true";
		    #push(@srcsents, $line);
		    $srcsent = $line;
		}
		else {
		    print "EMPTY! :: ".$line."\n";
		    $kosher = "false";
		}
	    }
	    else {
                #print "SQUIB! :: ".$line."\n";
		$kosher = "false";
	    }
	            
	}
	if ($line =~ /context\:/) {
	    if ($kosher eq "true") {
		#push(@contexts, $line);
		$context = $line;
	    }
	    else { $context = "";}
	}
	if ($line =~ /comment\:/) {
            if ($kosher eq "true") {
                #push(@comments, $line);
		$comment = $line;
            }
	    else { $comment = ""; }
        }
	if ($line =~ /\)\(/) {
	    if ($kosher eq "true") {
		
		#Parse lines
                #replace exclamation points
		if ($line =~ /\!/) {
		    $line =~ s/\!\s//g;
		    $line =~ s/\!//g;
		}

		if ($line =~ /^\(\s*\(/) { print ""; }
		else {
		    #print ("ORIGINAL****$line\n\n");
		    $line =~ s/^\s//g;
		    $line = $halfline.$line;
		    $line =~ s/\!//g;
		    $line =~ s/\n//g;
		    #print ("HALF****$halfline\nWHOLE****$line\n\n");

		}

		if ($line =~ /\)\s*\)\s*$/) { $halfline = ""; }
		else { 
		    $halfline = $line;
		}

		if (($line =~ /\)\s*\)\s*$/) && ($line =~ /^\(\s*\(/)) {
		    $whole_fs = $line;
		    if ($line =~ /yn-question/){
			$coin_flip = rand(1);
			if ($coin_flip > .5) {
			    print OUTPUT "$srcsent";
			    print OUTPUT "$context";
			    print OUTPUT "$comment\n";
			    print OUTPUT "$whole_fs\n\n";
			    $stayed_total++;
			    print "Removed: $coin_flip STAYED_TOTAL: $stayed_total\n";
			}
			else {
			    $removed_total++;
			    print "Removed: $coin_flip REMOVED_TOTAL: $removed_total\n"; 
			}
		    }
		    else {
			print OUTPUT "$srcsent";
			print OUTPUT "$context";
			print OUTPUT "$comment\n";
			print OUTPUT "$whole_fs\n\n";
		    }
		}
	    }
	}   
    }
}
