$output = shift;

@files = ("sampled__np-possessor.txt", 
"sampled__np-possessor-intransitive.txt", 
"sampled__np-possessor-undergoer.txt");

foreach $file (@files) {
    open(INFO, $file);              # Open the file
    @lines = <INFO>;                # Read it into an array
    close(INFO);                    # Close the file
    print $file."\n";

    $writefile = "full_$file";
    open(OUTPUT, ">$writefile");

    $kosher = false;
    $file_size = 0;
    foreach $line (@lines) {

	#load fs
	if ($line =~ /srcsent\:/) {
	    if ($line !~ /[Ss][Qq][Uu][Ii][Bb]/) {
		if ($line =~ /[a-zA-Z]/) {
		    $kosher = "true";
		    push(@srcsents, $line);
		    $file_size++;
		        # print $line;
		}
		else {
		    print "EMPTY! :: ".$line."\n";
		    $kosher = "false";
		}
	    }
	    else {
                #print "SQUIB! :: ".$line."\n";
		$kosher = "false";
	    }
	        
	}
	if ($line =~ /context\:/) {
	    if ($kosher eq "true") {
		push(@contexts, $line);
	    }
	}
	if ($line =~ /comment\:/) {
            if ($kosher eq "true") {
                push(@comments, $line);
            }
        }
	if ($line =~ /\)\(/) {
	    if ($kosher eq "true") {
		
		#Parse lines
                #replace exclamation points
		if ($line =~ /\!/) {
		    $line =~ s/\!\s//g;
		    $line =~ s/\!//g;
		}

		push(@whole_fs, $line);
		# print "Before: $line\n";
		#Get rid of features to sample in FS
		foreach $sample_feature (@to_sample) {    
		    $line =~ s/\($sample_feature\s[a-zA-Z\-]*\)//g;
		}
		# print "After: $line\n";

		push(@fs, $line);
		#$file_size++;
	    }
	}
    }

    $fs_size = @fs;
    for ($j = 0; $j <  $file_size; $j++) {
	@was_used[$j] = "false"; 
    }

    $total = 0;
    $limit = int($file_size/2);
    
    while ($total < $limit) {
	$random_index = int(rand($file_size));

	if (@was_used[$random_index] = "false") {
	    print "SIZE: $file_size, RANDOM: $random_index, LIMIT: $limit, TOTAL: $total\n";
	    print OUTPUT "@srcsents[$random_index]";
	    print OUTPUT "@contexts[$random_index]";
	    print OUTPUT "@comments[$random_index]\n";
	    print OUTPUT "@whole_fs[$random_index]\n\n";
	    @was_used[$random_index] = "true";
	    $total++;
	}
    }
}
