# open a file for writing
$fvdfile = shift;
$writefile = shift;
defined $writefile or die;
if ($writefile =~ ".txt") { 
    print "\n\n***** DO NOT USE .txt EXTENSTION *****\n\n"; 
    die; 
}

#$writefile = "values_file.file";

open(OUTPUT, ">$writefile");

@files = glob("*.txt");
my %value_hash;

foreach $file (@files) {
    open(INFO, $file);              # Open the file
    @lines = <INFO>;                # Read it into an array
    close(INFO);                    # Close the file
    print $file."\n";
    $wordcount = 0;
    $filecount = 0;
    $kosher = false;

    foreach $line (@lines) {
        if ($line =~ /srcsent\:/) {
            if ($line !~ /[Ss][Qq][Uu][Ii][Bb]/) {
                $line =~ s/srcsent\: //g;
                if ($line =~ /[a-zA-Z]/) {
                    $kosher = "true";
		    $split = "";
                }
                else {
                    #print "EMPTY! :: ".$line."\n";
                    $kosher = "false";
                }
            }
            else {
                #print "SQUIB! :: ".$line."\n";
                $kosher = "false";
            }

        }
        if (($line =~ /\)\)/) || ($line =~ /\)\(/)) {
            if ($kosher eq "true") {

		$line =~ s/^\s//g;

		#Parse lines
		if ($line =~ /^\s*\(\(/) {}
		else {
		    $line = $chunk.$line;
		}

                @value_set = split(/[\)\(]/, $line);

                # if the line does not end in close paren, then
		if ($line =~ /\)\)\s*$/) { $chunk = ""; }
		else { 
		    $chunk = pop(@value_set); 
		    # save last chunk
		    $chunk =~ s/\!//g;
		    $chunk =~ s/\n//g;
		    chomp($chunk);
		    # add it to the next line
		}		

		$size = @value_set;
		for ($i = 0; $i < $size; $i++) {
		    $next = pop(@value_set);
		    chomp($next);
		    if ($next =~ /\w/) {
			#print "$next\n";
			$next =~ s/\s\z//;
			$next =~ s/\s\s/\ /;

			#replace exclamation points
			if ($next =~ /\!/) {
			    $next =~ s/\!\s//g;
			    $next =~ s/\!//g;
			}

			# if it is not in the hash
       			if ($value_hash{$next} == null) {
			    $value_hash{$next} = 1;
			    #print "****$next **$value_hash{$next}\n";
			}
			else {
			    $temp_total = $value_hash{$next};
			    #print "$next : $temp_total\n";
			    $value_hash{$next} = $temp_total + 1;
			    #print "$next : $value_hash{$next}\n";
			}
		    }
		}

		#Correct Split Lines
            }
        }
    }
}



# Compare to feature-value list
open(INFO, $fvdfile);              # Open the file
@fvd_lines = <INFO>;                # Read it into an array
close(INFO);  

my %fvd_list;

foreach $fvd_line (@fvd_lines) {

    # create feature-value list
    @fvd_set = split(/\t/, $fvd_line);

    # pop off feature name
    $first = shift(@fvd_set);

    # throw away default label
    $trash = shift(@fvd_set);

    # pop off values
    for ($i = 0; $i < $size; $i++) {

	$next = pop(@fvd_set);
	if ($next =~ /\w/) {
	    $name = "$first $next";
	    chomp $name;
	    # print "$name\n";
	    if ($value_hash{$name} == null) {
		$fvd_list{$name} = 1;
		#print "NOT FOUND: $name\n";
	    }
	    else {
		$fvd_list{$name} = 1;
		# print "FOUND: $name\n";
	    }
	}
    }
}


@keys = keys %value_hash;
foreach $fv (@keys) {
    print "$fv : $value_hash{$fv}\n";
    if ($fvd_list{$fv} == null) {
	#print "**NOT FOUND: $fv\n";
	print OUTPUT "$fv : $value_hash{$fv}\n";
    }
    else {
	# print "**FOUND: $fv\n";
	print OUTPUT "$fv : $value_hash{$fv}\n";
    }
}

close (OUTPUT);
