<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="/protocol">
	
	<html>
	<body>
	</body>
	</html>

<xsl:apply-templates/>

</xsl:template>



<xsl:template match="section">

 		<h2>
 		<xsl:number format="1. "/> <xsl:value-of select="section-name"/>
		</h2>

	<xsl:apply-templates select="feature"/><br/>
	
	
	<br/>
	<br/>
	<b>Multiplication</b>
	<br/>
	<xsl:apply-templates select="multiplication"/>

	<br/>
	<br/>
	<b>Section Notes</b>
	<br/>
	<xsl:apply-templates select="note"/>

	
</xsl:template>






<xsl:template match="feature"> 
 
 	<table>
 	<tr><td>&#160;&#160;&#160;&#160;&#160;</td></tr>
 	<tr><td/><td>
	<xsl:apply-templates select="feature-name"/>
 	
	<table>
 	<tr><td></td>
 	<td><b>Values</b></td></tr>
	<tr><td>&#160;&#160;&#160;&#160;&#160;</td>
		<td><table><xsl:apply-templates select="value"/></table></td></tr>
	
	
	<tr><td>&#160;&#160;&#160;&#160;&#160;</td>
	<td valign="top">
 	<b>Feature Restrictions</b>
	<br/>
	<xsl:apply-templates select="restriction"/>
	</td></tr>
		
	<tr><td>&#160;&#160;&#160;&#160;&#160;</td>
	<td valign="top">
 	<b>Feature Notes</b>
	<br/>
	<xsl:apply-templates select="note"/>
	</td></tr>
	</table>

	</td></tr></table>
 	
</xsl:template>


<xsl:template match="value">
 
 	<xsl:value-of select="value-name"/><br/>

</xsl:template>


<xsl:template match="value">
 
 	<tr>
 	<td valign="top">
           <xsl:choose>
		  <xsl:when test="@default = &apos;true&apos;">
                 <font color="blue"><xsl:value-of select="value-name"/></font>&#160;&#160;&#160;<br/>
              </xsl:when>
		  <xsl:otherwise>
		     <xsl:value-of select="value-name"/>&#160;&#160;&#160;<br/>
		  </xsl:otherwise>
  	      </xsl:choose>
      </td>
      <td valign="top"><b>Restrictions: </b><xsl:apply-templates select="restriction"/></td>
      </tr>
      <td></td>
 	<td valign="top"><b>Notes: </b><xsl:apply-templates select="note"/></td>
      <tr>
 	</tr>


</xsl:template>

<xsl:template match="feature-name">
 
 	<b>Feature: </b> <xsl:value-of select="."/><br/>

</xsl:template>



<xsl:template match="note">
 
 		<xsl:number format="1. "/><xsl:value-of select="."/>
		<br/>


</xsl:template>


<xsl:template match="multiplication">
 
 		<xsl:value-of select="."/>
		<br/>


</xsl:template>


<xsl:template match="restriction">
 
 		<xsl:number format="1. "/><xsl:value-of select="."/>
		<br/>


</xsl:template>



</xsl:stylesheet>