#!/usr/local/bin/perl

# borrowed from http://www.comp.leeds.ac.uk/Perl/filehandling.html
#$readfile = 'LDC-corpus-12-27-05.xml';          # Name the file
$readfile = shift;
defined $writefile or die;
if ($writefile =~ ".xml") { }#print "good file."; }
else {
    print "\n\n***** NEED *.XML FILE  *****\n\n";
    die;
}
open(INFO, $readfile);          # Open the file
@lines = <INFO>;                # Read it into an array
close(INFO);                    # Close the file


# open a file for writing
#$writefile = 'LDC_features.fvd';
$writefile = shift;
open(OUTPUT, ">$writefile");

#$restrictionfile = 'restriction.rf';
$restrictionfile = shift;
open(RESTRICTIONOUTPUT, ">$restrictionfile");

#foreach $line (@lines) {


	    if ($nextline =~ /value-name/) {
		# pull feature name out of the line
		$nextValue = $nextline;
		$nextValue =~ s/\s*\<.[^\<]*\>//g;
		$value_count++;
		
		if ($flag =~ true) {
		    # print $nextline;
		    push (@values, $values[0]);
		    $values[0] = $nextValue;
		}

		else { push (@values, $nextValue); }
	    }

	    if ($nextline =~ /\<restriction\>/) {
		chomp $feature_name;
		chomp $nextValue;
		# get the two different kinds of exclusions
		$restriction = $nextline;
		$restriction =~ s/\s*\<.[^\<]*\>//g;
		print "%%%%".$restriction;

		# Save each to a different array
		if ($restriction =~ /\~/) {
		    $restriction =~ s/\~//;
		    push(@exclusions, "\(".$feature_name."\ ".$nextValue."\)\t".$restriction);
		}
		else {
		    push(@requirements, "\(".$feature_name." ".$nextValue."\)\t".$restriction);
		}

		# write positive & negatives to different arrays
	    }
	    ($nextline, @lines) = @lines;
	}

	chomp ($feature_name);
	print OUTPUT $feature_name;
	print $feature_name;
	print OUTPUT "\t"."default";
	foreach $value (@values) {
	    chomp ($value);
	    print OUTPUT "\t".$value;
	    print "\t".$value;
	}
	print OUTPUT "\n";
	print "\n";
	@values = ();
	    
    }
}
print "Features: ".$feature_count."\nValues: ".$value_count;
print "\nAverage Values: ".($value_count/$feature_count);

print RESTRICTIONOUTPUT @requirements;
print RESTRICTIONOUTPUT "####\n";
print RESTRICTIONOUTPUT @exclusions;
close (RESTRICTIONOUTPUT);
close (OUTPUT);


