$output = shift;

@files = ("np-undergoer.txt");
@to_sample = ('c-polarity', 'c-v-absolute-tense', 'c-v-grammatical-aspect');

foreach $file (@files) {
    open(INFO, $file);              # Open the file
    @lines = <INFO>;                # Read it into an array
    close(INFO);                    # Close the file
    print $file."\n";

    $writefile = "sampled__$file";
    open(OUTPUT, ">$writefile");

    $kosher = false;
    $file_size = 0;
    foreach $line (@lines) {

	#load fs
	if ($line =~ /srcsent\:/) {
	    if ($line !~ /[Ss][Qq][Uu][Ii][Bb]/) {
		if ($line =~ /[a-zA-Z]/) {
		    $kosher = "true";
		    push(@srcsents, $line);
		    # print $line;
		}
		else {
		    print "EMPTY! :: ".$line."\n";
		    $kosher = "false";
		}
	    }
	    else {
                #print "SQUIB! :: ".$line."\n";
		$kosher = "false";
	    }
	    
	}
	if ($line =~ /context\:/) {
	    if ($kosher eq "true") {
		push(@contexts, $line);
	    }
	}
	if ($line =~ /comment\:/) {
            if ($kosher eq "true") {
                push(@comments, $line);
            }
        }
	if ($line =~ /\)\(/) {
	    if ($kosher eq "true") {
		
		#Parse lines
                #replace exclamation points
		if ($line =~ /\!/) {
		    $line =~ s/\!\s//g;
		    $line =~ s/\!//g;
		}

		push(@whole_fs, $line);
		# print "Before: $line\n";
		#Get rid of features to sample in FS
		foreach $sample_feature (@to_sample) {		    
		    $line =~ s/\($sample_feature\s[a-zA-Z\-]*\)//g;
		}
		# print "After: $line\n";

		push(@fs, $line);
		$file_size++;
	    }
	}
    }
    
	#if ($count24 == 1296) {
    print "\n\n^^^^NEW BLOCK^^^^^\n\n";
    #create and initialize an array of flags
    $fs_size = @fs;
    for ($j = 0; $j <  $file_size; $j++) {
	@was_used[$j] = "false"; 
    }
    
    #compare fs to all others
    #scan for matches
    $outside_index = 0;
    for $fs_original (@fs) {
	#print "$outside_index: @was_used[$outside_index]\n";
	if (@was_used[$outside_index] eq "false") {
	    # create match set
	    $inside_index = 0;
	    for $fs_compare (@fs) {
		$flag = "true";
		# print "$inside_index: @was_used[$inside_index]\n";
		if (@was_used[$inside_index] eq "false") {
		    @value_set_fso = split(/[\)\(\s]/, $fs_original);
		    @value_set_fsc = split(/[\)\(\s]/, $fs_compare);
		    
		    $size_o = @value_set_fso;
		    $size_c = @value_set_fsc;
		    
		    if ($size_o == $size_c) {
			
			for ($i = 0; $i < $size_o; $i++) {
			    #print "Original: @value_set_fso[$i]\n";
			    #print "Compare: @value_set_fsc[$i]\n";
			    if (@value_set_fso[$i] eq @value_set_fsc[$i]) {
				#print "MATCH";
			    }
			    else {
				$flag = "false"; 
				#Print "^^^Original: @value_set_fso[$i]\n"; 
				#print "^^^Compare: @value_set_fsc[$i]\n";
				#print "ORIG: @srcsents[$outside_index]COMP: @srcsents[$inside_index]";
				next;
			    }
			}
		    }
		    else {$flag = "false";}
			    
		    if ($flag eq "false") {
			#print "NOT MATCH\n"; #print "ORIGINAL&&&: $fs_original\n COMPARE&&: $fs_compare";
			#print "ORIG: @srcsents[$outside_index]COMP: @srcsents[$inside_index]";
		    }
		    if ($flag eq "true") {
			#print "MATCH\n"; print "ORIGINAL&&&: $fs_original\n COMPARE&&: $fs_compare";
			#push @sample_array($fs_compare);
			push @sample_number, $inside_index;
			@was_used[$inside_index] = "true";
			#print "??? ORIG: @srcsents[$outside_index]COMP: @srcsents[$inside_index]";
			# pull off of old fs array
			# add to sampling array 
		    }
		}
		$index++;
		$inside_index++;
	    }
	 
	    # Sample
	    # Write to file
	    for $sn (@sample_number) {
		print "SET: @srcsents[$sn]";
	    }
	    print "\n";
	    
	    $sample_size = @sample_number;
	    $random_index = @sample_number[int(rand($sample_size))];
	    print OUTPUT "@srcsents[$random_index]";
	    print OUTPUT "@contexts[$random_index]";
	    print OUTPUT "@comments[$random_index]\n";
	    print OUTPUT "@whole_fs[$random_index]\n\n";
	    
	    @sample_number = ();
	}
	$outside_index++;
    }
    #$count24 = 0;
    @fs = ();
    @srcsents = ();
    @whole_fs = ();
    @contexts = ();
    @comments = ();
    #}

    close(OUTPUT); 
}

