# open a file for writing

@files = glob("*.txt");
#@files = glob("assertiveness.txt");


foreach $file (@files) {
    open(INFO, $file);              # Open the file
    @lines = <INFO>;                # Read it into an array
    close(INFO);                    # Close the file

    $writefile = "$file";
    open(OUTPUT, ">$writefile");

    #$writefile = $file;
    #open(OUTPUT, ">$writefile");

    print $file."\n";
    foreach $line (@lines) {
        if (($line =~ /srcsent\:/)||($line =~ /context\:/)) {
	    if ($line =~ /[a-zA-Z]/) {
		$new_line = replace_name($line, "female");
		$new_new_line = replace_name($new_line, "male");
		print OUTPUT $new_new_line;
	    }
	}
	else { print OUTPUT $line; }
    }
    close(OUTPUT);
}

sub replace_name {

    $line = shift;
    $gender_flag = shift;

    if ($gender_flag eq "female") { @names = ('Mary', 'Laura', 'Alicia', 'Alice', 'Alison', 'Martha', 'Jane',
					      'Shelia', 'Melanie', 'Brenda', 'Lucy', 'Sally', 'Teresa'); }
    if ($gender_flag eq "male") { @names = ('Clark', 'Simon', 'Frank', 'Phil', 'Ben', 'Peter', 'Mark', 'Brian', 
					    'Bob', 'Donald', 'Bill', 'Aaron', 'John Paul', 'John', 'George'); }

    @words = split(/ /, $line);
    # go through the words and look for a name
    # print "$_[1]\n";
    $name_count = 1;
    foreach $word (@words) { 
	foreach $name (@names) {
	    if ($word =~ /$name/) {
		#if there is a match look to see if previous gender match
		#if previous in same sentence increment label
		print "$line\n";
		$line =~ s/$name/$gender_flag\_name\_$name_count/g;
		print "$line\n";
		$name_count++;
	    }
	}
    }
    
    return $line;
}
